Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/collecting/getcollectingvinylrecord

# Vinyl record detail

GET `https://api.rewind.rest/v1/collecting/vinyl/{id}`

Full detail for a single collection item including tracklist, country, and marketplace data.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Path Parameters

#### id (path, string, required)

## Response

#### 200

Vinyl record detail

#### id (number, required)

#### discogs\_id (number, required)

#### title (string, required)

#### artists (array of string, required)

#### year (number, required)

#### format (string, required)

#### format\_detail (string, required)

#### label (string, required)

#### genres (array of string, required)

#### styles (array of string, required)

#### image (object, required)

#### properties

#### url (string, required)

#### thumbhash (string, required)

#### dominant\_color (string, required)

#### accent\_color (string, required)

#### date\_added (string, required)

#### rating (number, required)

#### discogs\_url (string, required)

#### tracklist (array of object, required)

#### country (string, required)

#### community\_have (number, required)

#### community\_want (number, required)

#### lowest\_price (number, required)

#### num\_for\_sale (number, required)

#### notes (object)

#### 400

Bad request

#### error (string, required)

#### status (integer, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 404

Not found

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/collecting/vinyl/{id}' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/collecting/vinyl/{id}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/collecting/vinyl/{id}',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "id": 0,
  "discogs_id": 0,
  "title": "string",
  "artists": [
    "string"
  ],
  "year": 0,
  "format": "string",
  "format_detail": "string",
  "label": "string",
  "genres": [
    "string"
  ],
  "styles": [
    "string"
  ],
  "image": {
    "url": "https://cdn.rewind.rest/...",
    "thumbhash": "YJqGPQw7d4...",
    "dominant_color": "#1a1a2e",
    "accent_color": "#e94560"
  },
  "date_added": "string",
  "rating": 0,
  "discogs_url": "string",
  "tracklist": [
    {}
  ],
  "country": "string",
  "community_have": 0,
  "community_want": 0,
  "lowest_price": 0,
  "num_for_sale": 0,
  "notes": {}
}
```

```json 400
{
  "error": "Not found",
  "status": 404
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 404
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
